## Description

This is a set of different examples written in different languages. The purpose is to improve knowledge of different languages and algorithms.

## Used languages

 * [GNU Octave]
 * [GNU C]
 * [Python 3]
 * [Scala]
 * [Ruby]
 * [Haskell]
 * [Lua]
 * [Clojure]
 * [Perl]
 * [Go]

## Running examples

### GNU Octave
Run file:
> octave file_name.m

or file as executable:
> ./file_name.m

### GNU C
 1. Go to the source directory. 
 2. Compile source via [GNU Make] by running command
> make

 3. Run program:
> ./program_name

 4. Clean directory (optionally):
> make clean

### Python 3
Run file:
> python3 file_name.py

### Scala
1. Install [sbt].
2. Go to the project directory. 
3. Run:

> sbt run

### Ruby
Run file:
> ruby file_name.rb

### Haskell
Run as script:

> runghc file_name.hs

or

1. Install [Cabal].
2. Go to the project directory.
3. Run:

> cabal configure

> cabal build

> ./dist/build/project_name/program_name

### Lua
Run file:
> lua file_name.lua

### Clojure
1. Install [Leiningen].
2. Go to the project directory.
3. Run:

> lein run

### Perl
Run file:
> perl file_name.pl

### Go
Run file:
> go run file_name.go

[GNU Octave]:http://www.gnu.org/software/octave/doc/interpreter/index.html
[GNU C]:http://www.gnu.org/software/gnu-c-manual/gnu-c-manual.html
[GNU Make]:http://www.gnu.org/software/make/manual/make.html
[Python 3]:http://docs.python.org/py3k/
[Scala]:http://www.scala-lang.org/node/197
[sbt]:https://github.com/harrah/xsbt/wiki
[Ruby]:http://www.ruby-lang.org/en/documentation
[Haskell]:http://www.haskell.org/haskellwiki/Haskell
[Cabal]:http://www.haskell.org/cabal
[Lua]:http://www.lua.org
[Clojure]:http://clojure.org
[Leiningen]:https://github.com/technomancy/leiningen#readme
[Perl]:http://www.perl.org
[Go]:http://golang.org